<?php

namespace App\Models\Goods;

use App\Base\BaseModel;

/**
 * App\Models\Goods\GoodsSearch
 *
 * @property int                             $id
 * @property int                             $goods_id
 * @property string|null                     $content
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSearch newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSearch newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSearch query()
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSearch whereContent($value)
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSearch whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSearch whereGoodsId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSearch whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsSearch whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class GoodsSearch extends BaseModel
{
    protected $table = "goods_search";
    protected $fillable = ["goods_id", "content"];

}
